Subject: R2L modelines (was: bug#62606: [PATCH] function to align mode-line elements to right)

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Jun 2023 12:52:23 -0400

>> [ And now I wonder: can Emacs have R2L modelines?  If so, what should
>>   happen in those?  ]
[...]
> Bottom line: Emacs doesn't support making the UI right-to-left.
> IMNSHO in IME, supporting that would be a lot of work for very little
> benefit.

Indeed, it seems to be of any real use, we'd first need to be able to
translate most of the elements (like mode names, menu titles, ...).

[ Sorry for this offtopic drift in the thread.  I'll stop here.  ]

        Stefan